<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Изменить приветствие';
$str['block'] = $set['site'].' / Изменить приветствие';
include '../style/'.$style.'/head.php';
if(isset($_POST['greeting']) and !empty($_POST['greeting']))
{
	mysql_query("INSERT INTO `statuses` SET `text` = '" . protect($_POST['greeting']) . "',
											`user` = '".$user['id'] . "',
											`time` = '" . time() . "',
											`type` = 'status'");
	echo '<div class="where">Статус успешно изменен! перейти на <a href="../p/'.$user['login'].'"><font color="#0000FF"><b>страничку</b></font></a> для просмотра</div>';
} else {
$status = mysql_fetch_assoc(mysql_query("SELECT * FROM `statuses` WHERE `user` = '" . $user['id'] . "' AND `type` = 'status' ORDER by `time` DESC LIMIT 1"));
echo '<div class="mess">
<form action="greeting.php" method="post">
<div>
<b>Введите приветствие</b>:<br />
максимально символов разрещенно 200, дальше текст будет обрезан<br/>
<input name="greeting" type="text" value="'.$status['text'].'">
<input name="submit" type="submit" value="Изменить">
</div></form></div>';
}
echo '<div class="forum1">
<img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" /> <a href="../pages/info.php?act=bbcode">BBcode</a><br/>
<img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" /> <a href="../pages/info.php?act=smiles">Смайлы</a><br/>
<img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" /> <a href="../p/'.$user['login'].'">Личная страничка</a>
</div>';
include '../style/'.$style.'/foot.php';
?>